Marketplace

Поиск расширений Marketplace

Возвращает одобренные модули, виджеты, страницы и темы. Пустой type возвращает все типы.

POST/api/v1/marketplace/extensions/search
Authentication
Не требуется
Application
parus-main

Headers

{
    "Content-Type": "application/json",
    "Accept": "application/json"
}

Request

{
    "type": "module",
    "query": "корзина",
    "page": 1,
    "limit": 20
}

Response

{
    "success": true,
    "data": {
        "items": [
            {
                "id": 42,
                "type": "module",
                "name": "Корзина",
                "identifier": "cart",
                "version": "1.0.0",
                "is_free": true,
                "images": [
                    {
                        "url": "https://paruscms.ru/uploads/marketplace/product_42/screenshot.webp",
                        "type": "screenshot"
                    }
                ],
                "public_url": "https://paruscms.ru/marketplace/cart/"
            }
        ],
        "page": 1,
        "limit": 20,
        "has_next": false
    }
}

curl

curl -X POST "https://api.paruscms.ru/api/v1/marketplace/extensions/search" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '{
    "type": "module",
    "query": "корзина",
    "page": 1,
    "limit": 20
}'